package jtznyj.engineer.service.dataDiagnosticService.data;

/**
 * 趋势类型  trendType 1上升 2平稳 4 下降
 */
public enum TrendType {
    /**
     * 1上升
     */
    TT_Up(1),
    /**
     * 2平稳
     */
    TT_Stable(2),
    /**
     * 下降
     */
    TT_Down(4);
    private int index;

    private TrendType(int index) {
        this.index = index;
    }

    public  static  TrendType valueOf(int index){
        switch (index){
            case 1:
                return TT_Up;
            case 2:
                return TT_Stable;
            case 4:
                return TT_Down;
            default:
                return null;
        }
    }
}
